#!/usr/bin/env bash

if [ "$#" -ne 2 ]; then
    echo "Usage: $0 <PARAMETER> <NEW_VALUE>"
    exit 1
fi

PARAMETER=$1
NEW_VALUE=$2

# Список файлов
FILES=(
    "./projects/hello-world/container/config.json"
    "./projects/hello-world/contracts/Makefile"
    "grist.json"
)

for FILE in "${FILES[@]}"; do
    EXPANDED_FILE=$(eval echo "$FILE")
    sed -i "s|###$PARAMETER###|$NEW_VALUE|g" "$EXPANDED_FILE"
done